#ifndef _BROWSER_PLUGIN_H
#define _BROWSER_PLUGIN_H

#include <windows.h>

void pluginExit(void) ;
void pluginInit(void) ;
void pluginHandleEvent(MSG* msg);

typedef struct BrowserProxy 
{
	struct GenericPlugin	*genericPlugin	 ;

	void			(*pluginInit)(void) ;
	void			(*pluginExit)(void) ;
	void			(*pluginHandleEvent)(MSG* msg);
} BrowserProxy ;

struct BrowserProxy * sqGetBrowserProxy(void) ;

#endif //_BROWSER_PLUGIN_H
