/* drop support primitives */
#ifndef DROP_PLUGIN_H
#define DROP_PLUGIN_H

void SetupDragAndDrop(void) ;

/* module initialization/shutdown */
int dropInit(struct KernelProxy *aProxy);
int dropShutdown(void);

char* dropRequestFileName(int dropIndex); /* return name of file or NULL if error */
/* note: dropRequestFileHandle needs to bypass plugin security checks when implemented */
int dropRequestFileHandle(int dropIndex); /* return READ-ONLY file handle OOP or nilObject if error */

typedef struct DropProxy 
{
	struct GenericPlugin	*genericPlugin	 ;

	void (* SetupDragAndDrop)(void) ;
} DropProxy ;

static struct DropProxy* getDropProxy(void) ;

#endif		// DROP_PLUGIN_H
